%define upstream_name Horde_Imsp
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.5
Release:     	%mkrel 2
Summary:    	Horde IMSP API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires:	php-pear-Horde_Translation < 3.0.0alpha
BuildArch:  	noarch

%description
Provides an API into an IMSP server for address books and options.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Imsp.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Imsp.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Imsp
fi

%files
%doc docs/Horde_Imsp/*
%{peardir}/*
%{xmldir}/Horde_Imsp.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 527970
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 2.0.5-1.mga4
+ Revision: 443091
- upgrade to version 2.0.5

* Thu Jun 06 2013 spuhler <spuhler> 2.0.3-1.mga4
+ Revision: 438391
- upgrade to ver. 2.0.3
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 376528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 17 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 183381
- upgrade to 1.0.6

* Mon Nov 28 2011 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 173395
- added %%doc docs/Horde_Imsp/COPYING
- upgrade to 1.0.5

* Sun Nov 06 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 164489
- upgrade to 1.0.4
- imported package php-pear-Horde_Imsp

